hledger-0.22: The main command-line interface for the hledger accounting tool.

Safe Haskell | None

Hledger.Cli.Version

Synopsis

- progname :: String
- version :: String
- prognameandversion :: String
- binaryfilename :: String -> String

# Documentation

progname :: String Source

version :: String Source

prognameandversion :: String Source

binaryfilename :: String -> String Source

Given a program name, return a precise platform-specific executable name suitable for naming downloadable binaries. Can raise an error if the version and patch level was not defined correctly at build time.